Py ERFA:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- PyERFA v2.0.0.1 »
- erfa Package »
- s2p

# s2p

erfa.s2p(theta, phi, r)

  Convert spherical polar coordinates to p-vector.

  Parameters
    theta double array
    phi double array
    r double array
  Returns
    p double array

  Notes

  Wraps ERFA function `eraS2p`. The ERFA documentation is:

      - - - - - - -
       e r a S 2 p
      - - - - - - -

      Convert spherical polar coordinates to p-vector.

      Given:
         theta   double       longitude angle (radians)
         phi     double       latitude angle (radians)
         r       double       radial distance

      Returned:
         p       double[3]    Cartesian coordinates

      Called:
         eraS2c       spherical coordinates to unit vector
         eraSxp       multiply p-vector by scalar

      This revision:  2021 May 11

      Copyright (C) 2013-2021, NumFOCUS Foundation.
      Derived, with permission, from the SOFA library.  See notes at end of file.